Qt 5.7 | Qt 3D | C++ Classes | QTextureGenerator

Qt 5.7.1 Reference Documentation

# QTextureGenerator Class

(Qt3DRender::QTextureGenerator)

Inherits: | QAbstractFunctor

- List of all members, including inherited members

## Public Functions

virtual | ~QTextureGenerator()
virtual QTextureDataPtr | operator()() = 0
virtual bool | operator==(const QTextureGenerator &other) const = 0

- 2 public functions inherited from Qt3DRender::QAbstractFunctor

## Member Function Documentation

### `[virtual]` QTextureGenerator::~QTextureGenerator()

Destroys the instance of QTextureGenerator. The destructor is virtual.

### `[pure virtual]` QTextureDataPtr QTextureGenerator::operator()()

### `[pure virtual]` bool QTextureGenerator::operator==(const QTextureGenerator &other) const